Skip to main content
GET
/
v1
/
refunds
/
{id}
Retrieve a refund
curl --request GET \
  --url https://api.yorlet.com/v1/refunds/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "refund",
  "amount": 123,
  "balance_transaction": {
    "id": "<string>",
    "created": 123,
    "object": "balance_transaction",
    "amount": 123,
    "available_on": 123,
    "currency": "<string>",
    "description": "<string>",
    "fee": 123,
    "fee_details": [
      {
        "amount": 123,
        "description": "<string>",
        "tax": 123,
        "tax_percent": 123,
        "type": "<string>"
      }
    ],
    "net": 123,
    "payout": "<string>",
    "source": "<string>",
    "source_object": "<string>",
    "account": "<string>",
    "deleted": false
  },
  "currency": "<string>",
  "customer": {
    "id": "<string>",
    "created": 123,
    "object": "customer",
    "address": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "country": "<string>",
      "postal_code": "<string>",
      "state": "<string>"
    },
    "default_payment_method": "<string>",
    "delinquent": true,
    "description": "<string>",
    "email": "[email protected]",
    "invoice_prefix": "<string>",
    "invoicing": {
      "arrears_emails": true,
      "email_cc": [
        "[email protected]"
      ],
      "email_to": "[email protected]"
    },
    "legal": {
      "dob": {
        "day": 16,
        "month": 6.5,
        "year": 5949.5
      },
      "first_name": "<string>",
      "last_name": "<string>"
    },
    "name": "<string>",
    "phone": "<string>",
    "radar": {
      "message": "<string>",
      "reason": "<string>",
      "risk_level": "<string>"
    },
    "account": "<string>",
    "deleted": false,
    "metadata": {}
  },
  "description": "<string>",
  "reason": "<string>",
  "reason_description": "<string>",
  "reverse_transfer": true,
  "status": "<string>",
  "transaction": "<string>",
  "account": "<string>",
  "deleted": false,
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns the retrieved refund.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
refund
amount
integer
required

Amount, in the smallest currency unit, that was refunded.

balance_transaction
required

Balance transaction that describes the impact of this refund on your account balance.

currency
string
required

Three-letter ISO currency code, in lowercase. Must be a supported currency.

customer
required

The customer the refund is for.

description
string | null
required

An arbitrary string attached to the object. Often useful for displaying to users.

reason
string | null
required

Reason for the refund.

reason_description
string | null
required

Free-text reason description for the refund.

reverse_transfer
boolean
required

Whether the transfer associated with the original transaction should be reversed.

status
string
required

Status of the refund.

transaction
string
required

ID of the transaction that was refunded.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.